/*
 * DF.H
 *
 * Embedded Web Server
 * Copyright 1998,
 * JK microsystems, Inc. - ALL RIGHTS RESERVED
 * http://www.jkmicro.com
 *
 * THIS SOFTWARE IS NOT SHAREWARE, FREEWARE, OR PUBLIC DOMAIN.
 * IT IS THE PROPERTY OF JK microsystems.
 *
 * CUSTOMERS OF JK microsystems MAY MODIFY THE SOURCE CODE
 * AND/OR DISTRIBUTE THE BINARY IMAGE OF THIS SOFTWARE WITHOUT
 * ADDITIONAL COSTS PROVIDED IT IS RUN ONLY ON HARDWARE
 * MANUFACTURED BY JK microsystems.  ALL OTHER USE IS EXPRESSLY
 * PROHIBITED.
 *
 * THIS SOURCE CODE IS NOT TO BE DISCLOSED WITHOUT PRIOR APPROVAL
 * FROM JK microsystems.
 *
 * THIS PROGRAM IS DISTRIBUTED WITHOUT ANY WARRANTY;
 * WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * THE TCP/IP LIBRARIES ARE COPYRIGHT
 * UNIVERSITY OF WATERLOO.
 * THE LIBRARIES ARE PROVIDED FREE OF
 * CHARGE IN THEIR ORIGINAL DISTRIBUTION FORMAT.
 *
 */

/*
   See WEBTCP.H for revision notes
 */

#ifndef __df_h
#define __df_h

#include <stdio.h>
#include <dos.h>
#include <stdlib.h>

#include "status.h"

#define	FALSE 0
#define TRUE (!FALSE)

#define DF_INT 0x30             // dynamic file software interrupt ##
#define DF_SEG 0xC2				// location of DFS code segment in interrupt table ( 0x30 * 4  +2 )
#define DF_TICK_FUNC 0x300		// function number for DFS id and periodic call
#define DF_REQ_FUNC 0x301		// function number for DFS request
#define DF_SIG 0x55AA			// DFS signature
#define DF_VER 0x11				// DFS minimum version number

#define PAR_INT 0x31            // interrupt to use for parse table TSR
#define PAR_SEG 0xC6			// location of parse table code segment in interrupt table (0x31 * 4 +2)
#define PAR_OFF 0xC4			// location of parse table offset in interrupt table (0x31 * 4)


extern char pc;					// flag for pc vs flashlite
extern FILE *dout;

//void df_tick ( void );           // call df to give it a time slice
//void huge *df ( char *filename, int *len, int *status );

#endif  // end if def __df_h


