/*
 * PIO_DRVR.H
 *
 * pico I/O driver library
 * Copyright 2004,
 * JK microsystems, Inc. - ALL RIGHTS RESERVED
 * http://www.jkmicro.com
 *
 * THIS SOFTWARE IS NOT SHAREWARE, FREEWARE, OR PUBLIC DOMAIN.
 * IT IS THE PROPERTY OF JK microsystems.
 *
 * CUSTOMERS OF JK microsystems MAY MODIFY THE SOURCE CODE
 * AND/OR DISTRIBUTE THE BINARY IMAGE OF THIS SOFTWARE WITHOUT
 * ADDITIONAL COSTS PROVIDED IT IS RUN ONLY ON HARDWARE
 * MANUFACTURED BY JK microsystems.  ALL OTHER USE IS EXPRESSLY
 * PROHIBITED.
 *
 * THIS SOURCE CODE IS NOT TO BE DISCLOSED WITHOUT PRIOR APPROVAL
 * FROM JK microsystems.
 *
 * THIS PROGRAM IS DISTRIBUTED WITHOUT ANY WARRANTY;
 * WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 *
 *
 *	Revision	Notes					Date	Author
 *	1		First Issue				18AUG04	EW
 *
 *
 */

#ifndef __pio_h
#define __pio_h

/* Ensure that C++ programs can access these functions by declaring */
/*	them to be extern "C" functions */
#ifdef __cplusplus
extern "C" {
#endif


int	GetVersion( void );		/* Least significant digit = minor rev */
					/* Most significant digits = major rev */

void	InitIO( void );			/* Initialize PICO I/O */

void	SetIOPt( int value ); 		/* Set specified OUTPUT, Range: 0-19 */
void	ClrIOPt( int value ); 		/* Clear specified OUTPUT, Range: 0-19 */

int	GetIOPt( int value );		/* Get specified INPUT, Range: 0-31 */

int	GetAD ( int value );		/* Read specified AD channel, Range = 0-10 */


#ifdef __cplusplus
} /* if we opened these breaces earlier in this file, now we need to close them */
#endif


#endif					/* end if def __pio_h */
