page 	65,132
	title	IO.ASM
	subttl	Copyright JK microsystems 2004

;************************************************************************;
;*								       	*;
;*	Copyright JK microsystems 2004	-  All Rights Reserved	  	*;
;*									*;
;*	This software is NOT shareware, freeware, or public domain.	*;
;*	It is the property of JK microsystems.				*;
;*									*;
;*	Customers of JK microsystems may modify the source code		*; 
;*	and/or distribute the binary image of this software without 	*;
;*	additional costs provided it is run only on hardware 		*;
;*	manufactured by JK microsystems.  All other use is expressly 	*;
;*	prohibited.							*;
;*									*;
;*	Update Log							*;
;*									*;
;*	Version	Date	 Comments			 Progammer	*;
;*	-------	------	 ------------------------------- ----------	*;
;*	1.0	040604	 First release	 		 jds		*;
;*	1.1	170604	 Moved variables out_hi and out_		*;
;*			 lo to bios data area		 jds		*;
;*	1.2	102204   Added second read in A/D code   jds		*;									*;
;*									*;
;************************************************************************;
	
VersionNo	equ	12	; major version times 10
largemodel	equ	1	; 1 for large model, 0 for small model


	ife	largemodel - 1	; use large model for compatibity with
	.model	large		; wattcp
	endif

	ife	largemodel - 0	; small model is nice for quick and dirty
	.model	small		; borland 3 command line compiling
	endif
	.code

;-------------------------------------------------------------------------
;
; 	The following macro defines entry points for both C and Qbasic /
;	Powerbasic function calls.  The entry point code presents a 
;	consistant front end to the assembly function where a 16-bit 
;	variable is passed to the function in AX and a variable is returned
;	to the caller in AX.  
;
;	The code exploits the fact that C prefaces function call labels with 
;	an underscore and QBasic does not.

	func	macro	x	; name of macro is func, will subst argument
public 		_&x		; whereever x appears in macro definition
_&x	 	proc		; C routine
	push	bp
	mov 	bp,sp

	ife	largemodel - 1	
	mov	ax,[bp+6]
	endif

	ife	largemodel - 0
	mov	ax,[bp+4]
	endif

	call	Asm&x
	pop	bp
	ret
_&x		endp
public 		&x		; Qbasic/Powerbasic routine
&x		proc
	push	bp
	mov 	bp,sp
	mov	bx,ss:[bp+6]
	mov	ax,[bx]
	call	Asm&x
	mov	[bx],ax
	pop	bp
	retf	2
&x		endp
Asm&x:
	endm

;-------------------------------------------------------------------------
;
;	Local memory-resident variables and constants

set_bit:
	dw	0000000000000001b
	dw	0000000000000010b
	dw	0000000000000100b
	dw	0000000000001000b
	dw	0000000000010000b
	dw	0000000000100000b
	dw	0000000001000000b
	dw	0000000010000000b
	dw	0000000100000000b
	dw	0000001000000000b
	dw	0000010000000000b
	dw	0000100000000000b
	dw	0001000000000000b
	dw	0010000000000000b
	dw	0100000000000000b
	dw	1000000000000000b

clear_bit:
	dw	1111111111111110b
	dw	1111111111111101b
	dw	1111111111111011b
	dw	1111111111110111b
	dw	1111111111101111b
	dw	1111111111011111b
	dw	1111111110111111b
	dw	1111111101111111b
	dw	1111111011111111b
	dw	1111110111111111b
	dw	1111101111111111b
	dw	1111011111111111b
	dw	1110111111111111b
	dw	1101111111111111b
	dw	1011111111111111b
	dw	0111111111111111b

;-------------------------------------------------------------------------
;
;	Returns the driver version number.  The least significant 
;	decimal digit is the minor revision, the most significant 
;	decimal digits are the major revision.

func	GetVersion
	mov	ax,VersionNo
	ret

;-------------------------------------------------------------------------
;
;	Program the Picoflash CPLD config register for use with the PicoIO. 
;	Set the reference for A/D converter and wait for it to complete.
;
;	Bit 0 = 1, Port A output
;	    1 = 0, Port B input
;	    2 = 1, Port C output
;	    3 = 1, Port D output
;	    4 = not modified
;	    5 = not modified
;	    6 = 1, Enable serial A/D converter on port C
;	    7 = 0, RTC access disabled

func	InitIO
	push	ax
	push	dx

	mov	dx,606h			; point to config reg
	in	al,dx			; get it

	and	al,30h			; clear all but bits 4 and 5
	or	al,4Dh			; set  bits 6, 3, 2, and 0

	out	dx,al			; send it back to cpld
	
	mov	dx,602h			; set A/D reference
	mov	al,0Eh
	out	dx,al
	
ref_wait:
	in	ax,dx			; get bit 15 into carry
	rcl	ax,1			; wait for it to go low
	jc	ref_wait

	pop	dx
	pop	ax
	ret

;-----------------------------------------------------------------------------
;
;	Set the IO point specified in AX.  Must be between 0-19

func	SetIOPt
	cmp	ax,20			; out of range if not below 20
	jb	set_ok
	ret

set_ok:
	push	ax
	push	bx
	push	cx
	push	dx
	push	di

	mov	bx,ax		
	cmp	bx,16			; is point 0-16
	jb	point16			; yes
	
	sub	bx,16			; no, must be 17-19
	mov	di,offset set_bit	; point to start of OR table
	shl	bx,1			; double offset, words not bytes
	mov	ax,cs:[di+bx]		; get the mask in ax

	push	ds
	push	ax
	mov	ax,40h
	mov	ds,ax
	pop	ax
	or	ds:byte ptr[0B2h],al
	pop	ds

	call	load_chip		; load it

	pop	di
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret
	
		
point16:
	mov	di,offset set_bit	; point to start of OR table
	shl	bx,1			; double the offset, words not bytes
	mov	ax,cs:[di+bx]		; get the mask

	push	ds
	push	ax
	mov	ax,40h
	mov	ds,ax
	pop	ax
	or	ds:word ptr[0B0h],ax
	pop	ds

	call	load_chip		; load the chip

	pop	di
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret

;-----------------------------------------------------------------------------
;
;	Clear the IO point specified in AX.  Must be between 0-19

func	ClrIOPt
	cmp	ax,20			; out of range if not below 20
	jb	clr_ok
	ret

clr_ok:
	push	ax
	push	bx
	push	cx
	push	dx
	push	di

	mov	bx,ax		
	cmp	bx,16			; is point 0-16
	jb	point16_clr		; yes
	
	sub	bx,16			; no, subtract out first 16	
	mov	di,offset clear_bit	; point to start of AND table
	shl	bx,1			; double index, words not bytes
	mov	ax,cs:[di+bx]		; get the mask

	push	ds
	push	ax
	mov	ax,40h
	mov	ds,ax
	pop	ax
	and	ds:byte ptr[0B2h],al
	pop	ds

	call	load_chip		; write out the new data

	pop	di
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret
	
		
point16_clr:
	mov	di,offset clear_bit	; point to start of table
	shl	bx,1			; double offset
	mov	ax,cs:[di+bx]		; get mask

	push	ds
	push	ax
	mov	ax,40h
	mov	ds,ax
	pop	ax
	and	ds:word ptr[0B0h],ax
	pop	ds

	call	load_chip		; write it out

	pop	di
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	ret


;-----------------------------------------------------------------------------
;
;	Get the IO point specified in AX.  Must be between 0-31

func	GetIOPt
	push	cx
	push	dx

	and	al,1Fh			; only 0-31 legal
	mov	cl,al			; copy to cl
	and	cl,3			; zero all but bit position field

	mov	dx,600h			; select the port
	shr	al,1
	shr	al,1
	and	al,7
	out	dx,al

	mov	dx,601h			; get the port
	in	al,dx

shift_right:
	cmp	cl,0			; move the bit of interest to 
	je	shift_done		; to position 0
	shr	al,1
	dec	cl
	jmp	shift_right

shift_done:
	and	al,1			; zero all the rest
	mov	ah,0

	pop	dx
	pop	cx
	ret

;-----------------------------------------------------------------------------
;
;	Read the specified channel of the A/D converter

func	GetAD
	push	dx
	cmp	ax,10			; make sure channel is in range
	ja	AD_done
	
	push	ax			; save channel
	mov	dx,602h			; point to A/D port
	out	dx,al			; command a conversion

first_conversion:
	in	ax,dx			; check for done
	cmp	ah,80h			; get previous conversion value
	je	first_conversion	

	pop	ax			; throw away last conversion
	out	dx,al			; command a conversion

Second_conversion:
	in	ax,dx			; check for done
	cmp	ah,80h
	je	Second_conversion

	in	ax,dx			; Ver 1.2, add second read to get data

AD_done:
	pop	dx
	ret

;-----------------------------------------------------------------------------
;
;	Load Chip - local routine to move out_hi and out_lo to
;	NJU3718 chip.  AX,BX,CX,DX used or trashed and must
;	be preserved by caller.

load_chip:
	push	ds
	mov	ax,40h
	mov	ds,ax
	mov	bl,ds:[0B2h]

	shl	bl,1			; left-justify them
	shl	bl,1
	shl	bl,1
	shl	bl,1

	mov	dx,604h			; point to I/O port
	mov	al,0Ch			; CLR/ STB/ CLK DATA
	out	dx,al			;  1    1    0   0
	mov	cx,4
hi:
	rcl	bl,1			; get current bit into carry
	rcl	al,1			; get carry into al, bit 0
	and	al,1			; clear all but bit 0
	or	al,0Eh			; set CLR/ STB/ CLK
	out	dx,al			; send it
	and	al,0FDh			; clear CLK
	out	dx,al			; send it
	loop	hi			; loop through rest

	mov	ax,40h
	mov	ds,ax
	mov	bx,ds:[0B0h]		

	mov	ds:[0B3h],byte ptr 1

	mov	cx,16			; do all 16 bits
lo:
	rcl	bx,1			; get current bit into carry
	rcl	al,1			; get carry into al, bit 0
	and	al,1			; clear all but bit 0
	or	al,0Eh			; set CLR/ STB/ CLK
	out	dx,al			; send it
	and	al,0FDh			; clear CLK
	out	dx,al			; send it
	loop	lo			; loop through rest

	mov	al,8
	out	dx,al			; strobe the data to the outputs
	mov	al,0Ch			; make STB/ high
	out	dx,al

	mov	ds:[0B3h],byte ptr 0

	pop	ds

	ret	

	end

